-- Fix for mpuls/issue7632
--
-- Join with master_tbl_anonym_view to limit
-- rg_case_document_count_tbl_anonym_view to the same casees as
-- master_tbl_anonym_view

CREATE OR REPLACE VIEW rg_case_document_count_tbl_anonym_view
AS SELECT d.master_id AS id,
   	  d.master_id AS master_id,
          COUNT(*) as document_count
     FROM ka_dokumente_tbl d
     JOIN master_tbl_anonym_view m ON m.id = d.master_id
    WHERE d.master_id IS NOT NULL
 GROUP BY d.master_id;
