BEGIN;

-- 1.0pre6 -> jmd-1.0pre7
-- Erweiterung des Datenmodells
ALTER TABLE master_tbl DISABLE TRIGGER USER;
SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('1.0.1/01-datenmodell.sql', current_timestamp);

DROP VIEW master_tbl_view CASCADE;
DROP VIEW master_tbl_eval_total_view CASCADE;
DROP VIEW rg_ziele_tbl_view CASCADE;
-- Löschvorgang löscht ebenfalls Sicht master_tbl_incm_view
-- Löschvorgang löscht ebenfalls Sicht master_tbl_anonym_view
-- Löschvorgang löscht ebenfalls Sicht master_tbl_eval_incm_view
-- Löschvorgang löscht ebenfalls Sicht rg_ziele_tbl_anonym_view

-- Issue738
ALTER TABLE master_tbl DROP COLUMN mitarbeiter_vorname;
ALTER TABLE master_tbl DROP COLUMN mitarbeiter_name;

-- Issue1437
ALTER TABLE master_tbl ADD COLUMN weitere_angaben_kinder TEXT;

-- Issue778
ALTER TABLE master_tbl ALTER COLUMN soz_engagement TYPE TEXT;
ALTER TABLE master_tbl ALTER COLUMN hobbies TYPE TEXT;

-- Issue1528
ALTER TABLE rg_ziele_tbl ALTER COLUMN fp_leistung_teilnehmer TYPE TEXT;
ALTER TABLE rg_ziele_tbl ALTER COLUMN fp_leistung_teilnehmer TYPE TEXT;

-- Issue1303
INSERT INTO aktuelle_situation_tbl (id, value) VALUES (1, 'Schule');
UPDATE master_tbl SET aktuelle_situation = 1, aktuelle_schule = 1 WHERE aktuelle_situation = 15;
UPDATE master_tbl SET aktuelle_situation = 1, aktuelle_schule = 2 WHERE aktuelle_situation = 16;
UPDATE master_tbl SET aktuelle_situation = 1, aktuelle_schule = 3 WHERE aktuelle_situation = 17;
UPDATE master_tbl SET aktuelle_situation = 1, aktuelle_schule = 4 WHERE aktuelle_situation = 18;
UPDATE master_tbl SET aktuelle_situation = 1, aktuelle_schule = 5 WHERE aktuelle_situation = 19;
UPDATE master_tbl SET aktuelle_situation = 1, aktuelle_schule = 6 WHERE aktuelle_situation = 20;
UPDATE master_tbl SET aktuelle_situation = 1, aktuelle_schule = 7 WHERE aktuelle_situation = 21;
UPDATE master_tbl SET aktuelle_situation = 1, aktuelle_schule = 8 WHERE aktuelle_situation = 22;
DELETE FROM aktuelle_situation_tbl where id in (15,16,17,18,19,20,21,22);

-- Issue1625
UPDATE master_tbl SET aufenthaltsstatus = 4 WHERE aufenthaltsstatus = 3;
DELETE FROM aufenthaltsstatus_tbl where id = 3;


-- Finish
SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER ALL;
COMMIT;
