--
-- Issue 6528 Schul/Berfusabschluss upgrade
--
ALTER TABLE hoechster_berufsabschluss_erworben_de_tbl 
  ALTER COLUMN value TYPE VARCHAR(55);
ALTER TABLE hoechster_schulabschluss_erworben_de_tbl
  ALTER COLUMN value TYPE VARCHAR(60);

ALTER TABLE master_tbl
  DROP CONSTRAINT master_tbl_schulabschluss_erworben_im_ausland_fkey;
ALTER TABLE master_tbl
  ADD CONSTRAINT master_tbl_schulabschluss_erworben_im_ausland_fkey
  FOREIGN KEY (schulabschluss_erworben_im_ausland)
  REFERENCES war_bereits_kunde_tbl (id);

ALTER TABLE master_tbl
  DROP CONSTRAINT master_tbl_berufsabschluss_erworben_im_ausland_fkey;
ALTER TABLE master_tbl
  ADD CONSTRAINT master_tbl_berufsabschluss_erworben_im_ausland_fkey
  FOREIGN KEY (berufsabschluss_erworben_im_ausland)
  REFERENCES war_bereits_kunde_tbl (id);

UPDATE hoechster_berufsabschluss_erworben_de_tbl
  SET value='Ohne (in Deutschland erworbenen) beruflichen Abschluss'
  WHERE id = 0;
UPDATE hoechster_berufsabschluss_erworben_de_tbl
  SET value='Kein Abschluss, weil noch in Ausbildung'
  WHERE id = 8;
UPDATE hoechster_schulabschluss_erworben_de_tbl
  SET value='Ohne allgemeinen (in Deutschland erworbenen) Schulabschluss'
  WHERE id = 0;

