<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="showAppointmentActions(appointment)">
 % if h.hasRole(['admin']):
  <a role="button" title="${_('Delete')}"
     href="${h.url(controller='appointment', action='delete', id=appointment.id,
           confirmed=0)}">
    <svg class="svg-icon" aria-labelledby="title" role="img">
        <title id="title">${_('Delete')}</title>
        <use xlink:href="#delete" />
    </svg>
  </a>
% endif
</%def>

<div class="table-responsive">
  <table class="table table-sm table-hover custom-table-striped">
   <thead>
    <tr>
      <th scope="col" class="td_date">${_('Date')}</th>
      <th scope="col">${_('Name')}</th>
      <th scope="col" class="td_description">${_('Description')}</th>
      <th scope="col"></th>
    </tr>
   </thead>
    <% num = 0 %>
    % for appointment in c.globalappointmentlist.getDatasets():
    <tr class='clickable-row' data-href="${h.url(controller='appointment',
                                         action='show', id=appointment.id)}">
      <td class="td_date">${h.format_date(appointment.getStartDate())}</td>
      <td>${appointment.title | F.NA}
          % if c.show_set_done_title and appointment.erledigt:
          (erledigt)
          % endif
      </td>
      <td class="td_description">
        <% description = F.shorten(appointment.description, 120) %>
        <div class="description">${description | F.NA}</div>
      </td>
      <td class="icon-td">
       ${self.showAppointmentActions(appointment)}
      </td>
    </tr>
    % endfor
    % if len(c.globalappointmentlist.getDatasets()) <= 0:
    <tr>
      <td colspan="3">${_('No event found')}</td>
      <td class="icon-td"></td>
    </tr>
    % endif
</table>
</div>
