## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
        ${parent.buildNavipath()}
    <li><a href="${h.url(controller='administration', action='index')}">${_('Administration')}</a></li>
    <li><a href="${h.url(controller='administration', action='overviewUser')}">${_('User overview')}</a></li>
    <li><a href="${h.url(controller='administration', action='newUser')}">${_('Create new user')}</a></li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('User data of the new created user')}
</%def>

<div class="row">
  <div class="col-auto offset-1" id="content_ueberschrift"
    <h3>${_('User data of the new created user')}</h3>
  </div>
  <div class="col modusfield">
    <a title="${_('Back to: User overview')}" href="${h.url(controller='administration', action='overviewUser')}">
      <svg class="svg-icon" aria-labelledby="title" role="img">
        <title id="title">${_('Back to: User overview')}</title>
        <use xlink:href="#arrow-circle-left" />
      </svg>
    </a>
  </div>
</div>

<div class="formularpage col-xl-9 offset-1">
  <p class="info-text">${_('Please give login name and password to the user.')}</p>
  <legend>
    <div class="text-nowrap">
      <label>${_('Information about personal')}</label>
    </div>
  </legend>
  <div class="table-responsive">
    <table class="table table-sm table-borderless summary">
      <tr>
        <td>${_('Forename')}</td>
        <td>${c.uo.first_name| F.NA}</td>
      </tr>
      <tr>
        <td>${_('Name')}</td>
        <td>${c.uo.last_name| F.NA}</td>
      </tr>
      <tr>
        <td>${_('Phone')}</td>
        <td>${c.uo.telephone| F.NA}</td>
      </tr>
      <tr>
        <td>${_('Institution')}</td>
        <td>${c.uo.branchoffice| F.NA}</td>
      </tr>
    </table>
  </div>

  <legend>
    <div class="text-nowrap">
      <label>${_('Information about login')}</label>
    </div>
  </legend>
  <div class="table-responsive">
    <table class="table table-sm table-borderless summary">
      <tr>
        <td>${_('Login')}</td>
        <td><span id="newpassword">${c.uo.getLogin()| F.NA}</span></td>
      <tr>
      </tr>
        <td>${_('Password')}</td>
        <td><span id="newpassword">${c.user_password}</span></td>
      <tr>
      </tr>
        <td>${_('Role')}</td>
        <td>${c.uo.getRole()| F.NA}</td>
      <tr>
      </tr>
        <td>${_('Activated')}</td>
        <td>
          % if c.uo.isActivated():
            ${_('Yes')}
          % else:
            ${_('No')}
          % endif
        </td>
      <tr>
      </tr>
        <td>${_('Ask for password at login')}</td>
        <td>
          % if c.uo.needsNewPass():
            ${_('Yes')}
          % else:
            ${_('No')}
          % endif
        </td>
      </tr>
  </div>
</div>
