<%inherit file="/casemanagement/main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='select', id=c.appointment.case_id, confirmed=1)}">${_('Selected case documents')}</a></li>
  <li><a href="${h.url(controller='caseappointment', action='index', id=c.appointment.case_id)}">${_('Appointments list')}</a></li>
  <li><a href="${h.url(controller='caseappointment', action='show', id=c.appointment.id)}">${_('Event view')}</a></li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('Event view')}
</%def>

<div class="overviewpage">
  <div id="content_header">
    <div class="row">
      <div id="content_ueberschrift" class="col-auto">
         <h3>${_('Event view')}</h3>
      </div>
      <div class="col modusfield">
        % if h.hasRole(['cm']) and session.get('case').getState().getState() == 1:
          <a title="${_('Edit appointment')}" href="${h.url(controller='caseappointment', action='edit', id=c.appointment.id)}">
            <svg class="svg-icon" aria-labelledby="title" role="img">
              <title id="title">${_('Edit appointment')}</title>
              <use xlink:href="#edit" />
            </svg>
          </a>
        % endif
        <a title="${_('Back to: Event overview')}" href="${h.url(controller='caseappointment', action='index', id=c.appointment.case_id)}">
        <svg class="svg-icon" aria-labelledby="title" role="img">
          <title id="title">${_('Back to: Event overview')}</title>
          <use xlink:href="#arrow-circle-left" />
        </svg>
        </a>
      </div>
    </div>
  </div>
  <%include file="/appointments/show_body.mako" />
</div>
