-- Logbook categories
-- special entries
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (0, 'Automatischer Eintrag');
-- unmittelbare Arbeit mit dem jungen Menschen
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (1, 'Gespräch mit dem jungen Menschen');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (2, 'Kompetenzfeststellung');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (3, 'Korrespondenz mit dem jungen Menschen (Telefonate/Schriftverkehr)');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (4, 'Begleitung des jungen Menschen zu externen Stellen');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (5, 'Sonstige Betreuung des jungen Menschen');
-- Arbeit mit Eltern/Personensorgeberechtigten
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (6, 'Gespräch mit Eltern/Personensorgeberechtigten');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (7, 'Korrespondenz mit Eltern/Personensorgeberechtigten (Telefonat/Schriftverkehr)');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (8, 'Sonstige Maßnahmen der Elternarbeit');
-- Arbeit mit Angehörigen/Dritten
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (12, 'Gespräch mit beteiligten Dritten/Kooperationspartnern');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (13, 'Korrespondenz mit beteiligten Dritten/Kooperationspartnern (Telefonat/Schriftverkehr)');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (14, 'Förder bzw. Fallkonferenz');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (19, 'Arbeit mit Ehefrau/Ehemann');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (20, 'Arbeit mit Familie');
-- Sonstiges
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (15, 'Fahrtwege');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (16, 'Dokumentation i-mpuls JMD');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (17, 'Teambesprechung');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (21, 'Administrative Tätigkeit/Recherche im Rahmen der Begleitung');

-- NOTE: The following entry (18) is not in the configuration files!
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (18, 'Gespräch mit Mitarbeiter/-innen der Jugendhilfe');

INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (-2, 'sonstige Angaben');


--
-- Logbuch typ
--
INSERT INTO ka_logbuch_typ_tbl (id, beschreibung) VALUES (0, 'nicht aufsuchend');
INSERT INTO ka_logbuch_typ_tbl (id, beschreibung) VALUES (1, 'aufsuchend');
INSERT INTO ka_logbuch_typ_tbl (id, beschreibung) VALUES (-1, 'Keine Angabe');
