## -*- coding: utf-8 -*-
<%! import mpulsweb.lib.helper.filters as F %>
<%inherit file="../main.mako" /> 
<div id="content_ueberschrift"><h3>Informationen über i-mpuls JMD</h3></div>
<p>
Im Auftrag des Bundesministeriums für Familie, Senioren, Frauen und Jugend
(BMFSFJ) entwickelt und implementiert der Projektträger im DLR ein
einheitliches Verfahren zur Dokumentation der individuellen
Integrationsförderung sowie der Netzwerk- und Gruppenarbeit der
Jugendmigrationsdienste.</p>
<p>Die Jugendmigrationsdienste (JMD) unterstützen junge Menschen mit
Migrationshintergrund im Alter von 12 bis 27 Jahren bei  der
sprachlichen, schulischen, beruflichen und sozialen Integration.
Derzeit nehmen bundesweit mehr als 400 JMD diese Aufgaben wahr,
beraten Jugendliche und betreuen sie im Case Management.</p>
<p>Die webbasierte Dokumentationssoftware „i-mpuls JMD“ wurde zunächst in
einer Pilotphase mit 12 JMD erprobt und dann flächendeckend eingeführt. </p>
<p>Einführung in das Programm und Adressen aller JMD:
<a href="http://www.jugendmigrationsdienste.de" target="_blank"
>http://www.jugendmigrationsdienste.de</a></p>
<p>Forum zum Austausch der fachlichen und technischen Entwicklungen:
<a href="http://www.jugendmigrationsdienste.de/intern/startseite/" target="_blank">
www.jugendmigrationsdienste.de/intern/startseite/</a>
</p>

<h4 class="text-muted">Kontakt</h4>
<p>
Servicebüro JMD<br>
Rechtsträger:<br>
Bundesarbeitsgemeinschaft Ev. Jugendsozialarbeit e.V.<br>
Büro Bonn<br>
Adenauerallee 12-14, 53113 Bonn<br>
t. 0228- 95968-0<br>
f. 0228- 95968-30<br>
email: info (at) jugendmigrationsdienste [punkt] de<br>
<a href="http://www.jugendmigrationsdienste.de" target="_blank">www.jugendmigrationsdienste.de</a><br>
<a href="http://www.bagejsa.de" target="_blank">http://www.bagejsa.de</a>
</p>

<h4 class="text-muted">Förderung</h4>
<p>
Das Programm „Jugendmigrationsdienste“ und die Entwicklung von i-mpuls JMD werden gefördert vom Bundesministerium für Familie, Senioren, Frauen und Jugend.
</p>

<h4 class="text-muted">Technischer Betrieb</h4>
<p>
Intevation GmbH<br>
Neuer Graben 17<br>
49074 Osnabrück<br>
</p>
<p>
Weitere Informationen: ${g.mpuls_config.get_app_name()}
      | ${g.mpuls_config.get_releasedate()}
      | ${g.mpuls_config.get_app_version()}
</p>

<h4 class="text-muted">Über mpuls</h4>
<p>
mpuls ist eine Freie Software zur Verwaltung elektronischer Fallakten, 
die im Rahmen verschiedener Programme durch das Bundesministerium für 
Familie, Senioren, Frauen und Jugend (BMFSFJ) aus Mitteln des 
Europäischen Sozialfonds (ESF) gefördert wurde.
</p>
<p>
Zu den möglichen Einsatzfeldern von mpuls zählen:
<ul>
    <li>Kinder- und Jugendhilfe 
        (für Hilfe- und Förder- und Integrationspläne),</li>
    <li>Bildung (für Qualifizierungspläne, Übergangsmanagement 
        und Bildungsmonitoring),</li>
    <li>Arbeitsförderung und Sozialhilfe 
        (für Eingliederungsvereinbarungen),</li>
    <li>Gesundheitswesen (für Patientenakten und zur 
        Pflegedokumentation),</li>
    <li>Statistik und Berichtswesen (in lokalen wie auch 
        überregionalen Zusammenhängen),</li>
    <li>Projekt- und Programm-Monitoring 
        (z.B. zur Unterstützung des ESF-Stammblattverfahrens).</li>
</ul>
</p>
<p>
Einen ausführlichen Bericht über den Einsatz von mpuls WASKA im Rahmen des 
Programms „Kompetenzagenturen“ finden Sie im 
<a href="http://www.kompetenzagenturen.de/das_programm_kompetenzagenturen"
target="_blank">Werkstattbericht 2008</a>. 
</p>

<h4 class="text-muted">Umsetzung</h4>
<p>
Design und Implementation der Software durch die Intevation GmbH: 
Frank Koormann (Projektleitung), Sascha Teichmann, Torsten Irländer, 
Bernhard Herzog und Roland Geider unterstützt durch 
Bernhard Reiter, Benjamin Kirschner, Katharina Schütze, Alexander Schäfer 
und Sascha Wilde. 
Unterstützung beim Datenbankkonzept durch data in transit (Jutta Horstmann).
</p>

<h4 class="text-muted">Lizenz</h4>
<p>
Copyright © 2007-2020 Intevation GmbH, Germany. 
The program is provided AS IS, without warranty. Licensed under AGPLv3.
</p>
<p>
This program is free software; you can redistribute it and/or modify it 
under the terms of the GNU Affero General Public License as published by 
the Free Software Foundation, either version 3 of the License, or 
(at your option) any later version.
</p>
<p>
mpuls is available under <a href="http://wald.intevation.org/projects/mpuls/"
target="_blank">http://wald.intevation.org/projects/mpuls/</a>
