## -*- coding: utf-8 -*-
<%!  import mpulsweb.lib.helper.filters as F %>
<%!  from datetime import datetime %>

<div class="table-responsive">
    <table class="table table-sm table-hover custom-table-striped">
     <thead>
      <tr>
        <th scope="col">${_('Date')}</th>
        <th scope="col">${_('Description')}</th>
        <th scope="col">${_('Actions')}</th>
      </tr>
     </thead>
      % for appointment in c.remindlist.getDatasets():
      <tr>
        <td class="date">${h.dd_mm_YYYY(datetime.now())}</td>
        <td class="title">${appointment.title | F.NA}</td>
        <td class="action">
         % if appointment.case_id is not None:
          ${self.showAppointmentActions(appointment)}
         % endif
         % if h.hasRole(['cm']) and not h.tag_appointment:
          ${self.showKeepActiveActions(appointment)}
        % endif
        </td>
      </tr>
      <tr>
        <td colspan="3" class="description">
            ${appointment.description}
            % if not h.tag_appointment:
                ${h.dd_mm_YYYY(appointment.getStartDate()) | F.NA} bis
                ${h.dd_mm_YYYY(appointment.getEndDate()) | F.NA}
            % endif
        </td>
      </tr>
      % endfor
      % if len(c.remindlist.getDatasets()) <= 0:
      <tr>
        <td colspan="2">Keine Systemhinweise vorhanden</td>
        <td></td>
      </tr>
      % endif
    </table>
</div>

<%def name="showAppointmentActions(appointment)">
## Default function
</%def>
<%def name="showKeepActiveActions(appointment)">
## Default function
</%def>
