## -*- coding: utf-8 -*-
<%! import mpulsweb.lib.helper.filters as F %>
<%inherit file="../main.mako" />

<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='appointment', action='overview')}">${_('Events')}</a></li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('Events')}
</%def>

<div id="content_ueberschrift"><h3>${_('Events')}</h3></div>

  ## APPOINTMENTS
  ## Case
% if g.mpuls_config.is_enabled('case-module', 'appointments') and h.hasRole(['cm']):
<div>
  <h4 class="text-muted">${_('Own followups')}</h4>
  <p>
     ${_('New followups can be added for a selected case file.')}
  </p>
  <% c.remindlist = c.followuplist %>
  <% c.show_set_done = True %>
  <% c.set_done_backlink = 'appointment_overview' %>
  <%include file="/home/remindlist.mako"/>
</div>
<div>
  <div class="mt-4">
    <h4 class="text-muted">${_('Own appointments')}</h4>
  </div>
  <p>
     ${_('New appointments can be added for a selected case file.')}
  </p>
  <%include file="/home/caseappointmentlist.mako"/>
</div>
% endif
## Global
% if g.mpuls_config.is_enabled('module', 'appointments'):
  % if h.hasRole(['admin']):
  <div class="row mt-4">
     <div class="col-auto m-field">
      <h4 class="text-muted">${_('Agency-wide appointments')}</h4>
    </div>
     <div class="col modusfield">
       <a title="${_('Create new event')}" href="${h.url(controller='appointment', action='create')}">
          <svg class="svg-icon" aria-labelledby="title" role="img">
            <title id="title">${_('Create new event')}</title>
            <use xlink:href="#plus-circle-solid" />
          </svg>
       </a>
     </div>
   </div>
   % endif
   % if h.hasRole(['cm']):
   <div class="mt-4">
     <h4 class="text-muted">${_('Agency-wide appointments')}</h4>
   </div>
   % endif
  <%include file="/appointments/globalappointmentlist.mako"/>
% endif
