## -*- coding: utf-8 -*-
<%inherit file="/casemanagement/main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='select', id=c.case.id, confirmed=1)}">${_('Selected case documents')}</a></li>
  <li><a href="${h.url(controller='privacy', action='listStatements', id=c.case.id)}">${_('List statements')}</a></li>
</%def>

<div id="content_header">
  <div id="content_ueberschrift"><h3>${_('Avaliable statements')}</h3></div>
</div>

<h4 class="text-muted">${_('Acceptance')}</h4>

<p> ${_('German')}:
  <a class="btn btn-outline-primary btn-sm" role="button"
    href="${h.url(controller='privacy', action='printStatement', id=c.case.id)}" target="_blank">
    ${_('Print acceptance')}
  </a>
</p>

<p>
<%include file="static_statements.mako" />
</p>

<h4 class="text-muted">Weitere</h4>

<h5 class="text-muted">Schweigepflichtentbindung von Dritten gegenüber der Einrichtung</h5>

<p>
  Erklärung zur Schweigepflichtentbindung von Vertrauenspersonen mit Schweigepflicht gemäß § 203 StGB gegenüber der Einrichtung.
</p>


<p>
  <a class="btn btn-outline-primary btn-sm" role="button"
      href="${h.url('/documents/Schweigepflichtentbindung-JMD.pdf')}"
          target="_blank">Schweigepflichtentbindung herunterladen</a>

    <a class="btn btn-outline-primary btn-sm" role="button"
        href="${h.url(controller='privacy', action='printDiscretionStatement', id=c.case.id)}"
        target="_blank">${_('Print discretion statement')}</a>
</p>



</div>
