import logging

from mpulsweb.lib.base import BaseController, render
from mpulsweb.lib.security import check_feature

log = logging.getLogger(__name__)


class HelpController(BaseController):

    def index(self):
        return render('/help/help.mako')

    def help_flexible_search(self):
        check_feature("case-module", "flexible-search")
        return render('/help/flexible_search.mako')

