BEGIN;

SET ROLE postgres;
CREATE TABLE berichtsquote_tbl (
    id                SERIAL PRIMARY KEY,
    anzahl_akten      INTEGER NOT NULL,
    anzahl_akten_sync INTEGER NOT NULL,
    upload            TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    fkz               VARCHAR(60) NOT NULL
);

GRANT INSERT ON berichtsquote_tbl TO :cm_group;
GRANT INSERT ON berichtsquote_tbl TO :admin_group;
GRANT SELECT ON berichtsquote_tbl TO :admin_group;
GRANT SELECT ON berichtsquote_tbl TO :cm_group;
GRANT USAGE ON berichtsquote_tbl_id_seq TO :cm_group;

CREATE OR REPLACE VIEW berichtsquote_tbl_anonym_view
AS SELECT * FROM berichtsquote_tbl;

GRANT SELECT ON berichtsquote_tbl_anonym_view TO GROUP :cm_group;
GRANT SELECT ON berichtsquote_tbl_anonym_view TO GROUP :admin_group;

COMMIT;
